import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { render } from 'react-dom';
import Typography from '@mui/material/Typography';
import { CacheProvider } from '@emotion/react';
import { StylesProvider } from '@mui/styles';
import { ThemeProvider } from '@mui/material/styles';
import muiLightTheme from '../theme/muiLightTheme';
import Jupyter from '../../jupyter/Jupyter';
import setupMui from '../MuiSetup';
import Gallery from '../examples/gallery/GalleryExample';
const { jss, cache } = setupMui('datalayer-jss-insertion-point');
const div = document.createElement('div');
document.body.appendChild(div);
const Header = () => _jsxs(_Fragment, { children: [_jsx(Typography, Object.assign({ variant: "h4", gutterBottom: true }, { children: "Jupyter React Gallery" }), void 0),
        _jsx(Typography, Object.assign({ variant: "subtitle1", gutterBottom: true }, { children: "\u00A9 Datalayer, 2022" }), void 0)] }, void 0);
render(_jsx(ThemeProvider, Object.assign({ theme: muiLightTheme }, { children: _jsx(CacheProvider, Object.assign({ value: cache }, { children: _jsx(StylesProvider, Object.assign({ jss: jss }, { children: _jsxs(Jupyter, Object.assign({ collaborative: true, terminals: true }, { children: [_jsx(Header, {}, void 0),
                    _jsx(Gallery, {}, void 0)] }), void 0) }), void 0) }), void 0) }), void 0), div);
//# sourceMappingURL=Gallery.bootstrap.js.map