import { combineReducers } from "redux";
import { combineEpics } from "redux-observable";
import { initReducer, initInitialState, initEpics } from "./init/InitRedux";
export const initialState = {
    counter: initInitialState
};
/* Actions */
/*
export type ActionUnion<
  A extends { [asyncActionCreator: string]: (...args: any[]) => any; }
> = Exclude<ReturnType<A[keyof A]>, (...args: any[]) => Promise<void>>;

export type CellAction = ActionUnion<typeof cellActions>;
export type NotebookAction = ActionUnion<typeof notebookActions>;

export type AppAction = CellAction | NotebookAction;
*/
/* Epics */
export const epics = combineEpics(initEpics);
/* Reducers */
export const reducers = combineReducers({
    counter: initReducer
});
//# sourceMappingURL=AllState.js.map