import { Epic } from "redux-observable";
import { AnyAction } from "typescript-fsa";
export declare type IInit = number;
export interface IInitState {
    init: IInit;
}
export declare const initInitialState: IInitState;
export declare const selectInit: () => any;
export declare enum ActionType {
    INCREMENT_init = "init/INCREMENT_init",
    DECREMENT_init = "init/DECREMENT_init"
}
export declare const initActions: {
    increment: import("typescript-fsa").AsyncActionCreators<undefined, undefined, {}>;
    decrement: import("typescript-fsa").AsyncActionCreators<undefined, undefined, {}>;
};
export declare const initEpics: Epic<AnyAction, AnyAction, IInitState, any>;
export declare const initReducer: import("typescript-fsa-reducers").ReducerBuilder<IInitState, IInitState>;
export declare const initReducers: {
    initReducer: import("typescript-fsa-reducers").ReducerBuilder<IInitState, IInitState>;
};
