import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { useState, useEffect } from 'react';
import LuminoDetached from '../../lumino/LuminoDetached';
import DialogAdapter from './DialogAdapter';
const DialogLumino = () => {
    const [dialogLumino, _] = useState(new DialogAdapter());
    useEffect(() => {
        dialogLumino.dialog.launch().then(success => success);
    }, []);
    return _jsx(LuminoDetached, { children: dialogLumino.dialog }, void 0);
};
export default DialogLumino;
//# sourceMappingURL=DialogLumino.js.map