import { Epic } from "redux-observable";
import { AnyAction, Action, Success } from "typescript-fsa";
import TerminalAdapter from './TerminalAdapter';
export declare type ITerminal = boolean;
export interface ITerminalState {
    dark: ITerminal;
}
export declare const terminalInitialState: ITerminalState;
export declare const selectTerminal: () => ITerminalState;
export declare enum ActionType {
    DARK = "terminal/DARK"
}
export declare const terminalActions: {
    dark: import("typescript-fsa").AsyncActionCreators<boolean, boolean, {}>;
};
export declare const terminalEpics: (terminalLumino: TerminalAdapter) => Epic<AnyAction, Action<Success<boolean, boolean>>, ITerminalState, any>;
export declare const terminalReducer: import("typescript-fsa-reducers").ReducerBuilder<ITerminalState, ITerminalState>;
