import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { render } from 'react-dom';
import { ThemeProvider } from '@mui/material/styles';
import muiLightTheme from '../theme/muiLightTheme';
import Jupyter from '../../jupyter/Jupyter';
import TerminalLumino from './../../widgets/terminal/TerminalLumino';
import Layers from '../theme/Layers';
const Example = () => _jsx(_Fragment, { children: _jsx(TerminalLumino, {}, void 0) }, void 0);
const div = document.createElement('div');
document.body.appendChild(div);
render(_jsx(ThemeProvider, Object.assign({ theme: muiLightTheme }, { children: _jsxs(Jupyter, Object.assign({ collaborative: false, terminals: true }, { children: [_jsx(Layers, {}, void 0),
            _jsx(Example, {}, void 0)] }), void 0) }), void 0), div);
//# sourceMappingURL=Terminal.bootstrap.js.map