import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "@emotion/react/jsx-runtime";
import { useDispatch } from "react-redux";
import Typography from '@mui/material/Typography';
import Button from '@mui/material/Button';
import { selectCell, cellActions } from './../../index';
const CellControl = () => {
    const cell = selectCell();
    const dispatch = useDispatch();
    return (_jsxs(_Fragment, { children: [_jsx(Typography, Object.assign({ variant: "h5", gutterBottom: true }, { children: "Cell Control" }), void 0),
            _jsxs("div", { children: [_jsx(Button, Object.assign({ variant: "contained", color: "primary", onClick: () => dispatch(cellActions.execute.started()) }, { children: "Execute" }), void 0),
                    _jsx(Button, Object.assign({ variant: "outlined", color: "secondary", onClick: () => dispatch(cellActions.outputsCount.started(0)) }, { children: "Reset outputs count" }), void 0)] }, void 0),
            _jsxs(Typography, Object.assign({ variant: "subtitle1", gutterBottom: true }, { children: ["Outputs count: ", cell.outputsCount] }), void 0)] }, void 0));
};
export default CellControl;
//# sourceMappingURL=CellControl.js.map