import { BoxPanel } from '@lumino/widgets';
import { SessionContext } from '@jupyterlab/apputils';
import { CodeCell } from '@jupyterlab/cells';
import '@jupyterlab/cells/style/index.css';
import '@jupyterlab/theme-light-extension/style/theme.css';
import '@jupyterlab/theme-light-extension/style/variables.css';
import './CellAdapter.css';
declare class CellAdapter {
    private _codeCell;
    private _cellPanel;
    private _sessionContext;
    constructor(source: string);
    get panel(): BoxPanel;
    get codeCell(): CodeCell;
    get sessionContext(): SessionContext;
    execute: () => void;
}
export default CellAdapter;
