/// <reference types="react" />
export declare type INotebookProps = {
    path: string;
    ipywidgets?: 'classic' | 'lab';
    sidebarComponent: (props: any) => JSX.Element;
    sidebarMargin: number;
};
/**
 * This components creates a Notebook as a collection of cells
 * with sidebars.
 *
 * @param props The notebook properties.
 * @returns A Notebook React.js component.
 */
declare const NotebookLumino: {
    (props: INotebookProps): import("@emotion/react/jsx-runtime").JSX.Element;
    defaultProps: Partial<INotebookProps>;
};
export default NotebookLumino;
