import { Epic } from "redux-observable";
import { AnyAction } from "typescript-fsa";
import OutputAdapter from './OutputAdapter';
export declare type IOutput = number;
export interface IOutputtate {
    outputs: IOutput;
}
export declare const outputInitialState: IOutputtate;
export declare const selectOutput: () => IOutputtate;
export declare enum ActionType {
    OUTPUTS = "Output/OUTPUTS",
    EXECUTE = "Output/EXECUTE"
}
export declare const OutputActions: {
    outputs: import("typescript-fsa").AsyncActionCreators<number, number, {}>;
    execute: import("typescript-fsa").AsyncActionCreators<void, void, {}>;
};
export declare const OutputEpics: (OutputAdapter: OutputAdapter) => Epic<AnyAction, AnyAction, IOutputtate, any>;
export declare const OutputReducer: import("typescript-fsa-reducers").ReducerBuilder<IOutputtate, IOutputtate>;
